Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Static Protected Attributes
Lucene::CompressionTools Class Reference

Simple utility class providing static methods to compress and decompress binary data for stored fields. More...

`#include <CompressionTools.h>`

Inheritance diagram for Lucene::CompressionTools:

## Public Member Functions

virtual | ~CompressionTools ()
virtual String | getClassName ()
boost::shared_ptr< CompressionTools > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
static ByteArray | compress (uint8_t *value, int32_t offset, int32_t length, int32_t compressionLevel)
| Compresses the specified byte range using the specified compressionLevel. More...
static ByteArray | compress (uint8_t *value, int32_t offset, int32_t length)
| Compresses the specified byte range, with default BEST_COMPRESSION level. More...
static ByteArray | compress (ByteArray value)
| Compresses all bytes in the array, with default BEST_COMPRESSION level. More...
static ByteArray | compressString (const String &value)
| Compresses the String value, with default BEST_COMPRESSION level. More...
static ByteArray | compressString (const String &value, int32_t compressionLevel)
| Compresses the String value using the specified compressionLevel. More...
static ByteArray | decompress (ByteArray value)
| Decompress the byte array previously returned by compress. More...
static String | decompressString (ByteArray value)
| Decompress the byte array previously returned by compressString back into a String. More...

## Static Protected Attributes

static const int32_t | COMPRESS_BUFFER

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Simple utility class providing static methods to compress and decompress binary data for stored fields.

## Constructor & Destructor Documentation

virtual Lucene::CompressionTools::~CompressionTools | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::CompressionTools::_getClassName | ( |  | ) |

inline static

static ByteArray Lucene::CompressionTools::compress | ( | uint8_t * | value,
|  | int32_t | offset,
|  | int32_t | length,
|  | int32_t | compressionLevel
| ) |  |

static

Compresses the specified byte range using the specified compressionLevel.

static ByteArray Lucene::CompressionTools::compress | ( | uint8_t * | value,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

static

Compresses the specified byte range, with default BEST_COMPRESSION level.

static ByteArray Lucene::CompressionTools::compress | ( | ByteArray | value | ) |

static

Compresses all bytes in the array, with default BEST_COMPRESSION level.

static ByteArray Lucene::CompressionTools::compressString | ( | const String & | value | ) |

static

Compresses the String value, with default BEST_COMPRESSION level.

static ByteArray Lucene::CompressionTools::compressString | ( | const String & | value,
|  | int32_t | compressionLevel
| ) |  |

static

Compresses the String value using the specified compressionLevel.

static ByteArray Lucene::CompressionTools::decompress | ( | ByteArray | value | ) |

static

Decompress the byte array previously returned by compress.

static String Lucene::CompressionTools::decompressString | ( | ByteArray | value | ) |

static

Decompress the byte array previously returned by compressString back into a String.

virtual String Lucene::CompressionTools::getClassName | ( |  | ) |

inline virtual

boost::shared_ptr< CompressionTools > Lucene::CompressionTools::shared_from_this | ( |  | ) |

inline

## Field Documentation

const int32_t Lucene::CompressionTools::COMPRESS_BUFFER

static protected

The documentation for this class was generated from the following file:

- CompressionTools.h

clucene.sourceforge.net